Name:           skychart
Version:        3.4
Release:        %mkrel 1
Summary:        Planetarium software for the advanced amateur astronomer

Group:          Graphics
License:        GPLv2+
URL:            https://sourceforge.net/projects/skychart/
Source0:        %{name}-%{version}-source.tgz
Patch0:		skychart-desktop.patch
#Patch1:         skychart-wgetdoc.patch

ExcludeArch:    ppc64

BuildRequires:  lazarus >= 0.9.30
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
BuildRequires:  dos2unix
BuildRequires:  gtk2-devel
BuildRequires:	wget
Requires:       xdg-utils
Requires:       tzdata
Suggests:	%{name}-wikidoc

%description
This program enables you to draw sky charts, making use of the data in 16
catalogs of stars and nebulae. In addition the position of planets,
asteroids and comets are shown.

The purpose of this program is to prepare different sky maps for a
particular observation. A large number of parameters help you to choose
specifically or automatically which catalogs to use, the colour and the
dimension of stars and nebulae, the representation of planets, the display
of labels and coordinate grids, the superposition of pictures, the
condition of visibility and more. All these features make this celestial
atlas more complete than a conventional planetarium.

%package wikidoc
Summary:	wiki documentation for %{name}
License:	Creative Commons, GNUFDL
Suggests:	%{name}
BuildArch:	noarch

%description wikidoc
The wiki documentation of %{name}, translated into various
languages. %{name} works without that package but you'll 
receive an error from the application when trying to getting help.

%prep
%setup -q -n %{name}-%{version}-source
%patch0
find skychart -type f -print0 |xargs -0 chmod 644

%build
%_configure lazarus=%{_libdir}/lazarus prefix=%{_prefix}

# We build these separately so that we can apply optflags
%__make arch_flags="%{optflags}" -C skychart/library/getdss
%__make arch_flags="%{optflags}" -C skychart/library/plan404

# not concurrency-safe
%__make 

# Fix exotic EOL encodings
dos2unix --d2u tools/doc/html_doc/en/feature_class_fichiers/common.css
dos2unix --d2u tools/doc/html_doc/en/feature_class_fichiers/custom.css
dos2unix --d2u tools/doc/releasenotes*.txt


%install
%__rm -rf %{buildroot}

%__make install PREFIX=%{buildroot}%{_prefix}
%__make install install_data PREFIX=%{buildroot}%{_prefix}

%__mv "%{buildroot}%{_datadir}/%{name}/doc/wiki_doc/lib/exe/fetch.php@hash=4cfae6&media=http%3A%2F%2Fi.creativecommons.org%2Fl%2Fby-sa%2F3.0%2F88x31.png" %{buildroot}%{_datadir}/%{name}/doc/wiki_doc/lib/exe/creativecommons-bysa-88x31.png
for i in `grep -R creativecommon %{buildroot}%{_datadir}/%{name}/doc/wiki_doc/|awk -F':' '{print \$1}'`;
do
	%__sed -i 's|fetch.php@hash=4cfae6&media=http%3A%2F%2Fi.creativecommons.org%2Fl%2Fby-sa%2F3.0%2F88x31|creativecommons-bysa-88x31|' "${i}"
done;

# Fix multilib path
[ %{_lib} = lib ] || %__mv %{buildroot}%{_prefix}/{lib,%{_lib}}

# Fix debuginfo
%__chmod +x %{buildroot}%{_libdir}/*

# Menu entry
desktop-file-validate %{buildroot}%{_datadir}/applications/skychart.desktop

%files
%defattr(-,root,root,-)
%doc %{name}/gpl.txt
%{_bindir}/*
%{_libdir}/*.so
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/data
%{_datadir}/%{name}/cat
%{_datadir}/%{name}/doc
%exclude /usr/share/%{name}/doc/wiki_doc
%exclude /usr/share/doc/%{name}/changelog
%exclude /usr/share/doc/%{name}/copyright

%files wikidoc
%defattr(-,root,root,-)
%{_datadir}/%{name}/doc/wiki_doc


%changelog

* Sun Oct 02 2011 matteo <matteo> 3.4-1.mga2
+ Revision: 151091
- fixed wrong filename
- spec file cleaned
- splitted into two pkgs
- imported package skychart

